library("R6")
trivial <- R6Class("trivial",
  public = list(
    changed = NULL,
    initialize = function() {
      self$changed <- FALSE
  },
  add = function(meta, input, output) {
    self$changed <- self$changed | !identical(input, output)
  },
  dump = function() {
    msg <- if (self$changed) "" else "not "
    cat(sprintf("The data has %schanged\n", msg))
  })
)

